<?php

namespace Modules\Store\Interfaces;

use Illuminate\Http\Request;
use Modules\Store\Models\Store;

interface StoreRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Store $store);
    public function save(Request $request, ?Store $store): Store;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
